Subject: Bug Report: ioperm.sys on Windows Server 2003 x64
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 16 Aug 2007 01:01:51 +0200 (Mitteleuropäische Sommerzeit )
List-Id: <cygwin.cygwin.com>

Hi

I experienced the following problem on the attempt to
install the ioperm.sys driver with the setup comand

    ioperm -i -v

on a Windows Server 2003 R2 SP2 x64 DC machine
(2 x AMD Opteron Server with 4GB RAM, fully patched)

a) In the command window, the ioperm installer reports

   Installing ioperm.sys...
   OpenSCManager       ok
   CreateService       ok
   StartService        failed

b) The Following event log entry will be created after an installation attempt:

   Event Type:        Error
   Event Source:        Application Popup
   Event Category:        None
   Event ID:        1060
   Date:                15.08.2007
   Time:                23:10:28
   User:                N/A
   Computer:        xxxxxxx
   Description:
   \??\C:\cygwin\bin\ioperm.sys has been blocked from loading due to incompatibility
   with this system. Please contact your software vendor for a compatible version of
   the driver.

   For more information, see Help and Support Center at
   http://go.microsoft.com/fwlink/events.asp.
   Data:
   0000: 00 00 00 00 02 00 6c 00   ......l.
   0008: 00 00 00 00 24 04 00 c0   ....$..À
   0010: 00 00 00 00 6b 03 00 c0   ....k..À
   0018: 00 00 00 00 00 00 00 00   ........
   0020: 00 00 00 00 00 00 00 00   ........

The error is repeatable on every Windows 2003 x64 machine
I tried yet.

Suggestion: Since ioperm.sys seems to be a kernel mode
driver, it needs explicit support for native 64Bit mode.
Can you compile this driver in x64 mode?
(E.g. name it iopermX64.sys)

Without this driver, I can not run a lot of hardware
related Cygwin-C++-Software on this machine.
Even beeping the speaker fails. (!)

Thank you.

Best Regards
Adam Dombi

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/